Bug 217777 - net-mgmt/zabbix32-server zabbix_java rc.d script missing from port
Summary: net-mgmt/zabbix32-server zabbix_java rc.d script missing from port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-14 07:43 UTC by Juan Garcia
Modified: 2018-08-04 12:46 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (pg)


Attachments
rc.d script for zabbix_java (508 bytes, application/x-sh)
2017-03-14 07:43 UTC, Juan Garcia
no flags Details
zabbix3-java.patch (6.84 KB, patch)
2018-07-22 14:06 UTC, Danilo G. Baio
pg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Garcia 2017-03-14 07:43:00 UTC
Created attachment 180804 [details]
rc.d script for zabbix_java

Could you please add the rc.d script to the port? I had to copied by hand from another server. Not sure when this was removed.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-05 13:21:30 UTC
Feedback please!
Comment 2 Danilo G. Baio freebsd_committer 2018-07-22 14:06:54 UTC
Created attachment 195367 [details]
zabbix3-java.patch


Hi Pakhom.

This patch separates Zabbix Java Gateway from the server, creating an additional slave port.

This way is possible to deploy Java Gateway's without the need to install Zabbix Server components.

If it's ok for you we can change all Zabbix ports with this change and write a notice in UPDATING about this.

Regards.
Comment 3 pg 2018-07-30 09:27:31 UTC
Comment on attachment 195367 [details]
zabbix3-java.patch

approved, thanks!
Comment 4 commit-hook freebsd_committer 2018-08-04 12:38:23 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug  4 12:37:23 UTC 2018
New revision: 476352
URL: https://svnweb.freebsd.org/changeset/ports/476352

Log:
  Add Zabbix Java Gateway ports

  This update separates Java Gateway componentes from the Zabbix Server port,
  creating an additional slave port for each version.

  This way is possible to deploy a Java Gateway without the need to install
  Zabbix Server components.

  In the current state there wasn't an rcfile for the Java Gateway. [1]

  PR:		217777
  Reported by:	Juan Garcia <juan@ish.com.au> [1]
  Approved by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer)

Changes:
  head/UPDATING
  head/net-mgmt/Makefile
  head/net-mgmt/zabbix2-java/
  head/net-mgmt/zabbix2-java/Makefile
  head/net-mgmt/zabbix2-server/Makefile
  head/net-mgmt/zabbix2-server/files/zabbix_java.in
  head/net-mgmt/zabbix2-server/pkg-plist
  head/net-mgmt/zabbix2-server/pkg-plist.java
  head/net-mgmt/zabbix22-java/
  head/net-mgmt/zabbix22-java/Makefile
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix22-server/files/zabbix_java.in
  head/net-mgmt/zabbix22-server/pkg-plist
  head/net-mgmt/zabbix22-server/pkg-plist.java
  head/net-mgmt/zabbix3-java/
  head/net-mgmt/zabbix3-java/Makefile
  head/net-mgmt/zabbix3-server/Makefile
  head/net-mgmt/zabbix3-server/files/zabbix_java.in
  head/net-mgmt/zabbix3-server/pkg-plist
  head/net-mgmt/zabbix3-server/pkg-plist.java
  head/net-mgmt/zabbix32-java/
  head/net-mgmt/zabbix32-java/Makefile
  head/net-mgmt/zabbix32-server/Makefile
  head/net-mgmt/zabbix32-server/files/zabbix_java.in
  head/net-mgmt/zabbix32-server/pkg-plist
  head/net-mgmt/zabbix32-server/pkg-plist.java
  head/net-mgmt/zabbix34-java/
  head/net-mgmt/zabbix34-java/Makefile
  head/net-mgmt/zabbix34-server/Makefile
  head/net-mgmt/zabbix34-server/files/zabbix_java.in
  head/net-mgmt/zabbix34-server/pkg-plist
  head/net-mgmt/zabbix34-server/pkg-plist.java
Comment 5 Danilo G. Baio freebsd_committer 2018-08-04 12:46:38 UTC
Committed, thank you.